# Get purchase disputes

Endpoint: GET /people/{personId}/loans/{loanId}/draws/{drawId}/purchases/{purchaseId}/disputes
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

  - `drawId` (string, required)
    The draw identifier.

  - `purchaseId` (string, required)
    The purchase identifier.

## Query parameters:

  - `limit` (integer)
    The maximum count of results to retrieve.

  - `startingAfter` (string)
    Return results starting after the provided object identifier.

  - `endingBefore` (string)
    Return results ending before the provided object identifier.

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of items in this result.

  - `status` (integer)
    HTTP status code.

  - `data` (array)

  - `data.cardId` (string)
    The Peach identifier of the `Card` linked to the disputed purchase (`CD-...`).
Mirrors `Purchase.cardId` on the underlying purchase.

  - `data.caseId` (string)
    Peach identifier of the case. The case object contains more details about the dispute, e.g. evidence information such as supporting documents.

  - `data.companyId` (string)
    The unique company identifier.

  - `data.disputedAmount` (number)
    The disputed amount. Can be less than the original purchase amount. Sum of disputed amounts cannot exceed the original purchase amounts (regardless of disputes outcomes).

  - `data.repostedPurchaseId` (string)
    The identifier of the reposted purchase. When a borrower loses a dispute, the lender normally creates a new purchase in the amount of the dispute.

  - `data.status` (string)
    The status of the dispute. `unsubmitted` is the only valid status for a new purchase dispute.
`unsubmitted` - The dispute is pending submission to a processor/network.
`submitted` - The dispute has been submitted to a processor/network.
`expired` - The dispute has expired.
`won` - The dispute is won.
`lost` - The dispute is lost.
`canceled` - The dispute was canceled. Only `unsubmitted` disputes can be canceled.
    Enum: "unsubmitted", "submitted", "expired", "won", "lost", "canceled"

  - `data.timestamps` (object)

  - `data.timestamps.expiredAt` (string)

  - `data.timestamps.lostAt` (string)

  - `data.timestamps.submittedAt` (string)

  - `data.timestamps.wonAt` (string)

